Skip to main content
POST
Deactivate a Credit Balance
See Errors for the common errors every v2 endpoint can return.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Idempotency-Key
string
required

Idempotency key

Required string length: 5 - 255

Path Parameters

user_credit_balance_id
string
required

The Credit Balance's ID The ID of the User Credit Balance object.

Pattern: ^user_credit_balance_[0-9A-Za-z]{27}$
Example:

"user_credit_balance_1HCpXwx2EK9oYluWbacgeCnFcLf"

Body

application/json
status_reason
enum<string>
required
Available options:
frozen,
dormant,
other

Response

Credit Balance deactivated successfully

A user credit balance — a virtual end-customer credit position.

id
string
required

The ID of the User Credit Balance object.

Pattern: ^user_credit_balance_[0-9A-Za-z]{27}$
Example:

"user_credit_balance_1HCpXwx2EK9oYluWbacgeCnFcLf"

created_at
string<date-time>
required
user_account_id
string

The parent User Account's ID.

Pattern: ^user_account_\w+$
Example:

"user_account_xyz123"

name
string

Human-readable name.

Example:

"Personal Loan - Jane Smith"

status
enum<string>
Available options:
active,
inactive,
closed,
reporting_stopped
status_reason
enum<string>
Available options:
active,
frozen,
dormant,
other,
entity_closed,
partner_closed,
paid_off,
charged_off,
canceled,
receivables_sold_to_partner,
data_not_available
currency_code
enum<string>

A three-letter currency code as defined in ISO 4217.

Available options:
USD
Example:

"USD"

amount
integer

Signed, minor units.

amount_in_usd
integer

Signed, minor units, in USD.

amount_breakdown
object
fees
object
rewards
object
dispute
object
charge_off
object
past_due
object
autopay_method
enum<string>
Available options:
ach,
debit_card,
wire,
virtual_wallet,
credit_card,
none
terms
object
metadata
object

A set of key-value pairs that can be used to store additional information related to this object.

closed_at
string<date-time> | null